UseHEG <- function(data, data_name) {
  st <- system.time({
    gene_exp <- apply(data,1,function(x) mean(x[x!=0]))
    
    # Sort genes by expression
    gene_exp <- sort(gene_exp, decreasing = T)
    
    # # Discard top 5% of expressed genes
    # gene_exp <- gene_exp[ceiling(0.05*length(gene_exp)): length(gene_exp)]
    
    # Return list of genes
    res <- list("gene_exp" = gene_exp, "genes" = names(gene_exp))
  })
  
  return(list("gene_exp" = gene_exp, "genes" = names(gene_exp), "time" = st))
}