#' Returns ordered gene set based on feature selection of highly variable genes using trendVar
trendVarFS <- function(sce) {
  st <- system.time({
    
    mgvar <- scran::modelGeneVar(x = sce)
    top.hvgs <- scran::getTopHVGs(mgvar, n = nrow(mgvar))
  })
  return(list("var.out" = mgvar, "genes" = top.hvgs, "time" = st))
}

#' Returns ordered gene set based on feature selection of highly variable genes using trendVar

